LINUX.ORG.RU

Воскресные вкусняшки =x11-wm/enlightenment-0.21.2 и =games-engines/openmw-0.40.0

 , , , ,


0

1

Доброго времени суток! Как всем стало известно недавно (22.08.2016 ?) вышел очередной enlightenment-0.21.2 и нельзя не упомянуть релиз openmw-0.40.0.

Из самого значительного того что я заметил это отпала необходимость в существовании media-libs/elementary точнее говоря она теперь часть dev-libs/efl. И да скриншотов не будет потому что стандартная тема оформления стандартная и на вид не изменилось ничего.

Ну и на десерт =games-engines/openmw-0.40.0. Да и не спрашивайте меня зачем эти наркоманы в #592864 в приложенном openmw-0.40.0.ebuild прописали именно || ( media-libs/libtxc_dxtn x11-drivers/ati-drivers x11-drivers/nvidia-drivers ) хотя достаточно одного media-libs/libtxc_dxtn а сам openmw прекрасно работает и на nouveau ну или зачем

qt5? ( app-arch/unshield
		dev-qt/qtcore:5
		dev-qt/qtnetwork:5
		dev-qt/qtopengl:5
		dev-qt/qtwidgets:5 )

если для openmw более чем достаточно достаточно

qt5? ( app-arch/unshield
                dev-qt/qtcore:5
                dev-qt/qtgui:5
                dev-qt/qtnetwork:5 )

И как вам не менее известно gentoo это почему-то не нужно ну а я себе уже запилил. Так вот я просто оставлю это здесь =games-engines/openmw-0.40.0, =x11-wm/enlightenment-0.21.2 и всё тот-же =x11-terms/terminology-0.9.1 но теперь с исправленными зависимостями.

А зачем это всё это ненужно в субботу конкретно вам и что теперь с этим всем делать решать тебе мой красноглазый читатель.

★★★★★

Спасибо за труд!

anonymous ()

Выделите автору отдельный тег под такие темы, чтоб можно было подписаться :3

l0stparadise ★★★★★ ()

Сколько сейчас E20 кушает? E18, как я помню, знатно разжирел относительно E17. И как дела с модулями сейчас обстоят, клепает ли их кто-нибудь?

После релиза E18 я какое-то время продолжал еще пользоваться, но ближе к E19 ушел. Т.к модулей и тем не стало, а потребление ресурсов росло.

xxblx ★★★ ()
Ответ на: комментарий от l0stparadise

Выделите автору отдельный тег под такие темы, чтоб можно было подписаться :3

Fxd

init_6 ★★★★★ ()
Ответ на: комментарий от xxblx

Сколько сейчас E20 кушает? E18, как я помню, знатно разжирел относительно E17.

 ➜ pmap $(pgrep -f -u user /usr/bin/enlightenment) | sed -n -e 's/ total \+//p' | numfmt --from=iec
4096

 ➜ top | grep enlightenment
19401 user    20   0  838640 116952  64412 S  11,8  3,8  17:31.92 enlightenment                                                          
19401 user    20   0  837212 116712  64412 S   8,9  3,8  17:32.19 enlightenment                                                          
19401 user    20   0  838640 116952  64412 S   6,3  3,8  17:32.38 enlightenment                                                          
19401 user    20   0  837212 116712  64412 S   5,6  3,8  17:32.55 enlightenment                                                          
19401 user    20   0  837212 116712  64412 S   8,6  3,8  17:32.81 enlightenment                                                          
19401 user    20   0  837212 116712  64412 S  26,2  3,8  17:33.60 enlightenment                                                          
19401 user    20   0  837212 116712  64412 S  10,9  3,8  17:33.93 enlightenment                                                          
19401 user    20   0  837212 116712  64412 S  21,5  3,8  17:34.58 enlightenment                                                          
19401 user    20   0  837212 116712  64412 S  36,4  3,8  17:35.68 enlightenment                                                          
19401 user    20   0  838640 116956  64412 S  10,9  3,8  17:36.01 enlightenment   

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND

Если этого мало скажи чем ещё померять померяю.

После релиза E18 я какое-то время продолжал еще пользоваться, но ближе к E19 ушел. Т.к модулей и тем не стало, а потребление ресурсов росло.

Мне норм. Всё что нужно есть.

init_6 ★★★★★ ()
Ответ на: комментарий от anonymous

И anonymous выигрывает сегодняшний очевидный приз за самый очевидный вопрос!

Ты пользуешься enlightenment?

А иначе зачем бы я его себе бампал?

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

Редко можно увидеть пользователей E, вот и на всякий случай переспросил...

А ты не думал свои ебилды в мейнстрим закидывать?

anonymous ()
Ответ на: комментарий от anonymous

Я уже задавал ему этот вопрос. В кратце - ему это нафиг не нужно.

Chaser_Andrey ★★★★★ ()
Ответ на: комментарий от anonymous

А ты не думал свои ебилды в мейнстрим закидывать?

Нет. У нас разные цели, пути и инструменты.

У меня, к примеру, epatch нет вовсе и при желании не только в пределах своей песочницы а и вовсе глобально банальной правкой вызова команды patch из eclasses/. epatch_user/eapply_user у меня был задолго до EAPI=6 в gentoo и кстати говоря именно поэтому потомок sys-kernel/geek-sources выглядит таким простым на первый взгляд.

init_6 ★★★★★ ()
Ответ на: комментарий от bytecode

Почему до сих пор галерее нет скрина?

Потому что кто-то слепой?

https://www.linux.org.ru/forum/development/12868888

И да скриншотов не будет потому что стандартная тема оформления стандартная и на вид не изменилось ничего.

init_6 ★★★★★ ()
Ответ на: комментарий от Chaser_Andrey

В кратце - ему это нафиг не нужно.

В кратце - сейчас меня устраивает что gentoo работает на меня а не наоборот.

init_6 ★★★★★ ()

Самореклама? А если я начну репостить каждый коммит на ЛОР?

Молодец, что пилишь, и учитываешь мелочи (на самом деле я тоже… молодец), но кому нужно, тот сам найдёт, а кому не нужно, тот тебя за каст только возненавидит.

r3lgar ★★★★★ ()
Ответ на: комментарий от init_6

gentoo работает на меня а не наоборот

Как будто раньше было иначе… Нет, всега в самом начале ты работаешь на дело, а потом дело начнёт работать на тебя, но для этого надо вложиться. Ты вложился, пожинай плоды своей деятельности, радуйся. Когда-нибудь и до остальных дойдёт, что так можно.

r3lgar ★★★★★ ()
Ответ на: комментарий от r3lgar

Самореклама? А если я начну репостить каждый коммит на ЛОР?

r3lgar во первых я не репощу «каждый коммит на ЛОР». А во вторых gentoo настолько «шустра» а в некоторых вопросах настолько «адекватна» что о об этом стоит писать на ресурсах подобных ЛОРу.

Когда-нибудь и до остальных дойдёт, что так можно.

Постепенно доходит.

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

Это неэтично по отношению к сообществу, результатами трудов которого ты пользуешься. И наоборот, в попытках найти общий язык и скооперировать свои усилия можно достичь большего.

anonymous00 ★★ ()
Ответ на: комментарий от anonymous00

Это неэтично по отношению к сообществу, результатами трудов которого ты пользуешься.

Что «неэтичного» в реализации своей точки зрения? И не это ли самое делают такие-же как и я в 100500 оверлеев? Так возможно проблемы всё-таки в этом самом «сообществе»?

И наоборот, в попытках найти общий язык и скооперировать свои усилия можно достичь большего.

Ага начинай.

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

Что «неэтичного» в реализации своей точки зрения? И не это ли самое делают такие-же как и я в 100500 оверлеев? Так возможно проблемы всё-таки в этом самом «сообществе»?

Сама по себе реализация своей точки зрения вполне этична, как и содержание собственного оверлея, когда результат нужен прямо сейчас и нет времени ждать на решение апстрима.

И в то же время можно завести баг в баг-трекере или обсуждение на форуме или mail-list, чтобы обсудить возможности внедрения наработок в апстрим.

Ага начинай.

У меня позитивный опыт общения с разработчиками gentoo. Да, иногда у них не хватает времени и они бывают медлительны, но большинство багов закрывают оперативно, и идут на контакт.

anonymous00 ★★ ()
Ответ на: комментарий от anonymous00

И в то же время можно завести баг в баг-трекере или обсуждение на форуме или mail-list, чтобы обсудить возможности внедрения наработок в апстрим.

Заводи, пиши и обсуждай на здоровье сколько тебе влезет. Успехов. Только других не надо кормить своими сказками.

У меня позитивный опыт общения с разработчиками gentoo. Да, иногда у них не хватает времени и они бывают медлительны, но большинство багов закрывают оперативно, и идут на контакт.

Ну ок.

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

Заводи, пиши и обсуждай на здоровье сколько тебе влезет. Успехов. Только других не надо кормить своими сказками.

Я это и делаю. Изначально речь шла о твоём комментарии

В кратце - сейчас меня устраивает что gentoo работает на меня а не наоборот.

И в чём тут сказки? Баг-трекеры, форумы, и mail-lists открыты для всех желающих, и я не вижу преград, кроме своего эго. Давайте действовать как сообщество, у которого в итоге одна большая цель.

С ув., anonymous00

anonymous00 ★★ ()
Ответ на: комментарий от anonymous00

Я это и делаю.

Ну и молодец.

Давайте действовать как сообщество, у которого в итоге одна большая цель.

Давай. Действуй. А пока ты будешь заниматься болтологией я буду делать то что хочу, как хочу и чем хочу.

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

Вот это и есть неэтичное отношение к сообществу, когда пользуешься результатами его работы и даже не хочешь порассуждать об collaboration. Если бы так думал каждый участник сообщества, то мы не имели бы всего того, что было сделано при тесном сотрудничестве каждого отдельного индивидуума.

anonymous00 ★★ ()

Когда я проверял в последний раз, лаунчер у OpenMW использовал Qt Widgets. В последних версиях что-то изменилось?

equeim ★★ ()
Ответ на: комментарий от equeim

Действительно

 ➜ ldd /usr/bin/openmw-launcher | grep Wid | sort | uniq                                                                                    
        libQt5Widgets.so.5 => /usr/lib64/libQt5Widgets.so.5 (0x00007ff885173000)

Однако

➜ equery b /usr/lib64/libQt5Widgets.so.5
 * Searching for /usr/lib64/libQt5Widgets.so.5 ... 
dev-qt/qtwidgets-5.6.1 (/usr/lib64/libQt5Widgets.so.5.6.1)
dev-qt/qtwidgets-5.6.1 (/usr/lib64/libQt5Widgets.so.5 -> libQt5Widgets.so.5.6.1)
 ➜ equery d dev-qt/qtwidgets
 * These packages depend on dev-qt/qtwidgets:
dev-games/openscenegraph-3.4.0 (qt5 ? dev-qt/qtwidgets:5)
dev-qt/qtopengl-5.6.1 (~dev-qt/qtwidgets-5.6.1[gles2=])
dev-util/cmake-3.5.2-r1 (qt5 ? dev-qt/qtwidgets:5)
net-p2p/transmission-2.92 (qt5 ? dev-qt/qtwidgets:5)
net-wireless/wpa_supplicant-2.5-r1 (qt5 ? dev-qt/qtwidgets:5)
 ➜ grep qt5 openmw-0.40.0.ebuild 
IUSE="doc devtools +qt5"
        >=dev-games/openscenegraph-3.3.4[ffmpeg,jpeg,png,qt5,sdl,svg,truetype,zlib]
        qt5? ( app-arch/unshield
        use devtools && ! use qt5 && elog "'qt5' USE flag is disabled, 'openmw-cs' will not be installed"
                -DBUILD_OPENCS=$(usex devtools $(usex qt5))
                -DBUILD_LAUNCHER=$(usex qt5)
                -DBUILD_WIZARD=$(usex qt5)
        if ! use qt5; then
                elog "'qt5' USE flag is disabled, 'openmw-launcher' and"

Текущий games-engines/openmw зависит от >=dev-games/openscenegraph-3.3.4[qt5] которому именно с неотключаемым USE флагом qt5 нужны dev-qt/qtwidgets:5

Так-что по сути да эту зависимость писать никто не запрещает .

init_6 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.